# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic

from ....core.datetime_utils import serialize_datetime
from ...claims.types.claim_status import ClaimStatus
from ...commons.types.encounter_id import EncounterId


class ClaimActionMetadata(pydantic.BaseModel):
    """
    Useful claim data for a claim action
    """

    encounter_id: EncounterId
    patient_first_name: str
    patient_last_name: str
    date_of_service: dt.date
    claim_status: ClaimStatus

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        json_encoders = {dt.datetime: serialize_datetime}
