# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic

from ......core.datetime_utils import serialize_datetime
from .....commons.types.organization_id import OrganizationId
from .....commons.types.user_id import UserId
from .idp_user_metadata import IdpUserMetadata
from .user_metadata import UserMetadata


class UserV2(pydantic.BaseModel):
    user_id: UserId
    idp_metadata: typing.List[IdpUserMetadata]
    primary_organization_id: OrganizationId
    user_metadata: UserMetadata
    accessible_organization_ids: typing.List[OrganizationId]

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        smart_union = True
        json_encoders = {dt.datetime: serialize_datetime}
